Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Language IDEs » Java Development Tools (JDT) » Error on generated plug-in code(Compile and runtime error on generated plug-in code)
Error on generated plug-in code [message #1767514] Thu, 06 July 2017 16:03
Tony Lai is currently offline Tony LaiFriend
Messages: 1
Registered: July 2017
Junior Member
SWT classes not found on simple plug in code using many, if not all, templates. They work find in Eclipse 4.3, but not 4.5, 4.6, or 4.7.

I believe the SWT plugin is missing. The only way to compile is import SWT as a project, but the plugin cannot be run as an Eclipse Application, as SWT still missing from the runtime environment.

The SWT jar is in the plugins, so I have no idea why it is not used, nor can I add it to the dependences. The only one I can add was SWT source jar, which does not resolve the problems.
Previous Topic:Cleaning up Git repository misbehaving
Next Topic:CLI compilation using Oxygen ecj
Goto Forum:
  


Current Time: Mon Dec 11 04:04:22 GMT 2017

Powered by FUDForum. Page generated in 0.01689 seconds
.:: Contact :: Home ::.

Powered by: FUDforum 3.0.2.
Copyright ©2001-2010 FUDforum Bulletin Board Software